﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.IO.IsolatedStorage;
using System.IO;

namespace Day3HomeworkSolution
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
        }

        private void appBar_Delete(object sender, EventArgs e)
        {
            noteTextBox.Text = "";

            saveNote();

            noteTextBlock.Text = "";
            noteTextBlock.Visibility = System.Windows.Visibility.Visible;
            noteTextBox.Visibility = System.Windows.Visibility.Collapsed;

        }

        private void appBar_Save(object sender, EventArgs e)
        {
            if (noteTextBox.Visibility == System.Windows.Visibility.Visible)
            {
                saveNote();
                noteTextBlock.Text = noteTextBox.Text;
                noteTextBlock.Visibility = System.Windows.Visibility.Visible;
                noteTextBox.Visibility = System.Windows.Visibility.Collapsed;

            }
        }

        private void appBar_Edit(object sender, EventArgs e)
        {
            if (noteTextBlock.Visibility == System.Windows.Visibility.Visible)
            {
                noteTextBox.Text = noteTextBlock.Text;

                noteTextBlock.Visibility = System.Windows.Visibility.Collapsed;
                noteTextBox.Visibility = System.Windows.Visibility.Visible;
                noteTextBox.Focus();
            }
        }

        private void PhoneApplicationPage_Loaded(object sender, RoutedEventArgs e)
        {
            loadNote();
        }

        private void loadNote()
        {
            var appStorage = IsolatedStorageFile.GetUserStoreForApplication();

            using (var fileStream = appStorage.OpenFile("note.txt", System.IO.FileMode.OpenOrCreate))
            {
                using (StreamReader sr = new StreamReader(fileStream))
                {
                    noteTextBlock.Text = sr.ReadToEnd();
                }
            }
        }

        private void saveNote()
        {
            var appStorage = IsolatedStorageFile.GetUserStoreForApplication();

            using (var fileStream = appStorage.OpenFile("note.txt", FileMode.Create))
            {
                using (StreamWriter sw = new StreamWriter(fileStream))
                {
                    sw.WriteLine(noteTextBox.Text);
                }
            }


        }


    }
}